libzypp: zypp::KeyManagerCtx::Impl Class Reference

libzypp 17.38.11

zypp::KeyManagerCtx::Impl Class Reference

## Public Member Functions
| Impl ()
| Impl (const Impl &)=delete
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
| ~Impl ()
std::list< std::string > | readSignaturesFprs (const Pathname &signature_r)
| Return all fingerprints found in signature_r.
std::list< std::string > | readSignaturesFprs (const ByteArray &signature_r)
| Return all fingerprints found in signature_r.
bool | verifySignaturesFprs (const Pathname &file_r, const Pathname &signature_r)
| Tries to verify the file_r using signature_r.
template<typename Callback>
bool | importKey (GpgmeDataPtr &data, Callback &&calcDataSize)

## Public Attributes
gpgme_ctx_t | _ctx { nullptr }
bool | _volatile { false }
| readKeyFromFile workaround bsc#1140670

## Private Member Functions
std::list< std::string > | readSignaturesFprsOptVerify (const Pathname &signature_r, const Pathname &file_r="/dev/null", bool *verify_r=nullptr)
| Return all fingerprints found in signature_r and optionally verify the file_r on the fly.
std::list< std::string > | readSignaturesFprsOptVerify (const ByteArray &keyData_r, const Pathname &file_r="/dev/null", bool *verify_r=nullptr)
std::list< std::string > | readSignaturesFprsOptVerify (GpgmeDataPtr &sigData, const Pathname &file_r="/dev/null", bool *verify_r=nullptr)

## Detailed Description

Definition at line 148 of file KeyManager.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::KeyManagerCtx::Impl::Impl | ( |  | ) |
| inline

Definition at line 151 of file KeyManager.cc.

## ◆ Impl() [2/3]

zypp::KeyManagerCtx::Impl::Impl | ( | const Impl & |  | ) |
| delete

## ◆ Impl() [3/3]

zypp::KeyManagerCtx::Impl::Impl | ( | Impl && |  | ) |
| delete

## ◆ ~Impl()

zypp::KeyManagerCtx::Impl::~Impl | ( |  | ) |
| inline

Definition at line 159 of file KeyManager.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::KeyManagerCtx::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::KeyManagerCtx::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ readSignaturesFprs() [1/2]

std::list< std::string > zypp::KeyManagerCtx::Impl::readSignaturesFprs | ( | const Pathname & | signature_r | ) |
| inline

Return all fingerprints found in signature_r.

Definition at line 165 of file KeyManager.cc.

## ◆ readSignaturesFprs() [2/2]

std::list< std::string > zypp::KeyManagerCtx::Impl::readSignaturesFprs | ( | const ByteArray & | signature_r | ) |
| inline

Return all fingerprints found in signature_r.

Definition at line 169 of file KeyManager.cc.

## ◆ verifySignaturesFprs()

bool zypp::KeyManagerCtx::Impl::verifySignaturesFprs | ( | const Pathname & | file_r,
|  | const Pathname & | signature_r )
| inline

Tries to verify the file_r using signature_r.

Definition at line 173 of file KeyManager.cc.

## ◆ importKey()

template<typename Callback>

bool zypp::KeyManagerCtx::Impl::importKey | ( | GpgmeDataPtr & | data,
|  | Callback && | calcDataSize )

Definition at line 540 of file KeyManager.cc.

## ◆ readSignaturesFprsOptVerify() [1/3]

std::list< std::string > zypp::KeyManagerCtx::Impl::readSignaturesFprsOptVerify | ( | const Pathname & | signature_r,
|  | const Pathname & | file_r = "/dev/null",
|  | bool * | verify_r = nullptr )
| private

Return all fingerprints found in signature_r and optionally verify the file_r on the fly.

If verify_r is not a `nullptr`, log verification errors and return whether all signatures are good.

Definition at line 197 of file KeyManager.cc.

## ◆ readSignaturesFprsOptVerify() [2/3]

std::list< std::string > zypp::KeyManagerCtx::Impl::readSignaturesFprsOptVerify | ( | const ByteArray & | keyData_r,
|  | const Pathname & | file_r = "/dev/null",
|  | bool * | verify_r = nullptr )
| private

Definition at line 222 of file KeyManager.cc.

## ◆ readSignaturesFprsOptVerify() [3/3]

std::list< std::string > zypp::KeyManagerCtx::Impl::readSignaturesFprsOptVerify | ( | GpgmeDataPtr & | sigData,
|  | const Pathname & | file_r = "/dev/null",
|  | bool * | verify_r = nullptr )
| private

Definition at line 238 of file KeyManager.cc.

## Member Data Documentation

## ◆ _ctx

gpgme_ctx_t zypp::KeyManagerCtx::Impl::_ctx { nullptr }

Definition at line 183 of file KeyManager.cc.

## ◆ _volatile

bool zypp::KeyManagerCtx::Impl::_volatile { false }

readKeyFromFile workaround bsc#1140670

Definition at line 184 of file KeyManager.cc.

The documentation for this class was generated from the following file:

- zypp-common/KeyManager.cc